﻿a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

html {
    font-family: "Segoe UI", sans-serif;
    font-size: 16px;
}

h1 {
    font-size: 32px;
    margin: 20px 0;
}

h2 {
    font-size: 24px;
    margin: 14px 0;
}

table {
    border-collapse: collapse;
}

[contenteditable]:focus {
    outline: 0px solid transparent;
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 10px 10px 10px 0px rgba(0,0,0,0.45);
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 85px;
}

.toolbar {
    position: absolute;
    right: 10px;
    top: 10px;
}

    .toolbar img {
        width: 24px;
        height: 24px;
        vertical-align: middle;
    }

    .toolbar .button {
        border: 2px solid #666;
        width: 32px;
        height: 32px;
        display: inline-block;
        vertical-align: top;
        line-height: 24px;
        text-align: center;
        text-decoration: none;
        color: #000;
        font-size: 24px;
        font-weight: bolder;
        border-radius: 5px;
        text-align: center;
        color: #000;
    }
        .toolbar .button:hover {
            border: 2px solid #000;
        }

        .toolbar .button:last-child {
            font-size: 13px;
        }

.footer {
    position: absolute;
    bottom: 0;
    white-space: nowrap;
    /* Set the fixed height of the footer here */
    height: 60px;
    line-height: 60px; /* Vertically center the text there */
}

.items .numeric {
    text-align: right;
}

.users .checkbox, .items .checkbox, th.checkbox {
    text-align: center;
    border: 1px solid rgba(0, 0, 0, 0);
}

    .users .checkbox.editing, .items .checkbox.editing {
        border: 1px solid #000;
    }

.items .lightupicon {
    margin-right: 5px;
    opacity: 0.65;
    filter: grayscale(100%);
}

    .items .lightupicon.checked {
        opacity: 1;
        filter: none;
    }

.users, .carbohydratelist {
    background-color: #fafafa;
    border-top: none;
    margin-bottom: 10px;
    border-radius: 5px;
    border: 1px solid #000090;
}

    .users .title, .carbohydratelist .title {
        padding: 10px;
        background-color: #000090;
        color: #fff;
        border-radius: 5px 5px 0 0;
    }

        .carbohydratelist .title .type {
            padding: 10px;
        }

.text {
    padding: 1px;
    display: inline-block;
    border: 1px solid rgba(0, 0, 0, 0);
}

.users .wrapper, .carbohydratelist .wrapper {
    margin: 10px;
}

.users table, .carbohydratelist table {
    width: 100%;
}

.users tr:nth-child(odd), .items tr:nth-child(odd) {
    background-color: #eee;
}

.users td, .users th, .carbohydratelist td, .carbohydratelist th {
    padding: 5px 1px;
}

    .users td:first-child, .users th:first-child, .carbohydratelist td:first-child, .carbohydratelist th:first-child {
        padding: 5px 1px 5px 5px;
    }

.paste, .cut, .edit, .delete {
    cursor: pointer;
    font-family: "Times", "Times New Roman", "serif", "sans-serif", "EmojiSymbols";
    font-size: 24px;
}

.users .edit, .carbohydratelist .edit {
    color: #ddd;
}

    .users .edit:hover, .carbohydratelist .edit:hover {
        color: #fff;
    }

.users .cut, .users .edit, .items .cut, .items .edit {
    color: #666;
}

    .users .edit svg, .users .delete svg, .items .edit svg, .items .delete svg {
        fill: #666;
    }

    .users .cut:hover, .users .edit:hover, .items .cut:hover, .items .edit:hover {
        color: #000;
    }

        .users .edit:hover svg, .users .delete:hover svg, .items .edit:hover svg, .items .delete:hover svg {
            fill: #000;
        }

.items .editing .cut {
    color: #aaa !important;
}

.items .cutting .edit {
    color: #aaa !important;
}

.items .cutting .delete svg {
    fill: #aaa !important;
}

.title {
    position: relative;
}

    .title .text {
        padding: 2px;
        display: inline-block;
        padding: 5px;
    }

    .title .right {
        position: absolute;
        right: 26px;
        top: 5px;
    }

    .title .type {
        text-align: right;
        width: 120px;
    }

    .title .paste {
        margin-left: 10px;
    }

        .title .paste svg, .edit svg, .delete svg {
            width: 24px;
            height: 24px;
            fill: #ddd;
            margin-top: 7px;
        }

    .title .delete svg {
        fill: #ddd;
    }

        .title .edit svg:hover, .title .paste svg:hover, .title .delete svg:hover {
            fill: #fff;
        }

    .title .delete {
        margin-left: 9px;
    }

    .title .type {
        margin-left: 0.5em;
    }

    .title td .text {
        width: 100%;
    }

    .title .editing td.editable:hover {
        background: #000;
    }

.users td:focus, .items td:focus {
    outline: 1px solid #000;
}

.users td, .users th, .items td, .items th {
    padding: 2px;
    text-align: left;
}


.users .editing td.editable:hover, .items .editing td.editable:hover {
    background: #ddd;
}

.users td .checkbox, .items td .checkbox {
    display: inline-block;
    width: 28px;
    padding: 2px;
    text-align: center;
}

.title .paste, .title .edit, .title .delete {
    width: 32px;
    padding: 2px;
}

.title .delete {
    padding-right: 12px;
}

.items th:nth-child(3) {
    text-align: center;
}

.items td:nth-child(2) {
    width: 35px;
}

.items td:nth-child(3) {
    width: 40px;
}

.items td:nth-child(4) {
    width: 30px;
}

.items td:nth-child(5) {
    width: 60px;
}

.items td:nth-child(6) {
    width: 30px;
}

.items td:nth-child(7) {
    width: 30px;
}

.items td:nth-child(8) {
    width: 148px;
    padding-left: 10px;
}

.items td:nth-child(9) {
    width: 30px;
}

.items td:nth-child(10) {
    width: 100px;
    padding-left: 10px;
}

.items th:nth-child(4) {
    padding-left: 10px;
}

.items td:nth-child(11) {
    width: 270px;
}

.items td:nth-child(12) {
    width: 32px;
}

.items td:nth-child(13) {
    width: 32px;
}

.items td:nth-child(14) {
    width: 32px;
}

.items td .text {
    display: inline-block;
    width: 100%;
}

.users td:nth-child(0) {
    width: 2em;
}

.users td:nth-child(6) {
    width: 30px;
}

.users td:nth-child(7) {
    width: 30px;
}

.carbohydratelist .newitem {
    border-top: 1px solid #dee2e6;
    padding: 10px;
    cursor: pointer;
    border-radius: 0 0 5px 5px;
}

    .carbohydratelist .newitem:hover {
        background: #eee;
    }

#newUser, #newList {
    display: none;
    padding: 10px;
    margin-top: 10px;
    background: #000090;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
}

    $newUser:hover, #newList:hover {
        background: #2020b0;
    }

#users .checkbox, .checkbox {
    cursor: pointer;
}

.items .editing td.editable.error, .items .editing td.editable.error:hover {
    background-color: #fc7f7f;
}

.errorpopup {
    display: block;
    position: absolute;
    background: #fc7f7f;
    color: #000;
    padding: 5px;
    border: 1px solid #000;
    z-index: 999;
    top: 0;
    left: 0;
}

.cutting td {
    opacity: 0.35;
}

    .cutting td.cut {
        opacity: 1;
    }

#icons {
    display: none;
}

#carbohydratelistsorder {
    user-select: none;
}

.editing .paste svg {
    fill: #aaa !important;
}

#carbohydratelistsorder .carbohydratelist {
    position: relative;
    background-color: #000090;
    color: #fff;
    width: 480px;
    padding: 10px;
    margin: 5px 0;
    border-radius: 5px;
}

#carbohydratelistsorder .buttons {
    position: absolute;
    right: 5px;
    top: 10px;
}

#carbohydratelistsorder ul {
    list-style: none;
    padding-inline-start: 0;
    padding: 0;
}

#carbohydratelistsorder .listtype {
    position: relative;
    width: 500px;
    border: 1px solid #000090;
    border-radius: 5px;
    padding: 10px;
    margin-bottom: 10px;
    background: #fff;
}

    #carbohydratelistsorder .listtype h2 {
        margin-top: 0;
    }

#carbohydratelistsorder .save {
    position: absolute;
    top: 28px;
    right: 20px;
    cursor: pointer;
}

#login .dialog {
    margin: 0 auto;
    width: 400px;
}

#login h1 {
    padding: 10px;
    background-color: #000090;
    color: #fff;
    border-radius: 5px 5px 0 0;
    margin: 0;
}

#login form {
    border: 1px solid rgba(0, 0, 0, 255);
    border-radius: 0 0 5px 5px;
    padding: 10px;
    background: #fafafa;
}

#login p {
    margin-top: 10px;
}

#login div {
    margin-top: 10px;
}

#login label {
    display: inline-block;
    width: 150px;
}

#login input {
    padding: 5px 10px;
}

#login .buttons {
    margin-top: 20px;
    text-align: right;
}

#login input[type=text], #login input[type=password] {
    width: 204px;
}

#login .error {
    color: red;
    font-weight: bold;
}
